from bitcoding import B_dict
from basesplit import bsplit as split
from inverse import inv
from vbweights import w
#import random

def buildFromScen(ConMatrix, scenario, neighbors):

   Vars = len(ConMatrix)
   
   P = {}

   for i in range(Vars):
      for j in range(i+1,Vars):
         if not (scenario[i][j] & ConMatrix[i][j]):
            P[(i,j)] = scenario[i][j]
            
            values = split[ConMatrix[i][j]-1][1][:]

            #least constraining value heuristic
            valuesw = [(-w[a-1],a) for a in values]
            valuesw.sort(reverse=True)
            valuesw = [a[1] for a in valuesw]
            
            scenario[i][j] |= valuesw[-1] #random.choice(split[ConMatrix[i][j]-1][1][:])
            
   return scenario, P
