from comptab import fcomp
from bitcoding import B_dict
from basesplit import bsplit as split
from inverse import inv
from collections import deque
from counters import counter

DALL = B_dict['DALL']

def checkFrozenTriples(ConMatrix, frozenTriples):
         
   for i, j, k in frozenTriples:
       if not ConMatrix[i][j] & fcomp[ConMatrix[i][k]-1][ConMatrix[k][j]-1]:
           return False
       if not ConMatrix[k][i] & fcomp[ConMatrix[k][j]-1][ConMatrix[j][i]-1]:
           return False
       if not ConMatrix[k][j] & fcomp[ConMatrix[k][i]-1][ConMatrix[i][j]-1]:
           return False
   
   return True

   
